import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay" -- needed for access to party object

-- Some global variables to differentiate between the patch version and the alternate (BB) version
gPlugin = "SongbookBB"
gDir = "ChiranBB/SongbookBB/"
gSettings = "SongbookSettingsBB"

import "ChiranBB.SongbookBB.Class"; -- Turbine library included so that there's no outside dependencies
import "ChiranBB.SongbookBB.ToggleWindow";
import "ChiranBB.SongbookBB.SettingsWindow";
import "ChiranBB.SongbookBB.SongbookLang";
import "ChiranBB.SongbookBB";

songbookWindow = ChiranBB.SongbookBB.SongbookWindow();
if (Settings.WindowVisible == "yes") then
	songbookWindow:SetVisible( true );
else
	songbookWindow:SetVisible( false );
end
settingsWindow = ChiranBB.SongbookBB.SettingsWindow();
settingsWindow:SetVisible( false );

toggleWindow = ChiranBB.SongbookBB.ToggleWindow();
if (Settings.ToggleVisible == "yes") then
	toggleWindow:SetVisible( true );
else 
	toggleWindow:SetVisible( false );
end

songbookCommand = Turbine.ShellCommand();

function songbookCommand:Execute(cmd, args)
	if ( args == Strings["sh_show"] ) then
		songbookWindow:SetVisible( true );
	elseif ( args == Strings["sh_hide"] ) then
		songbookWindow:SetVisible( false );
	elseif ( args == Strings["sh_toggle"] ) then
		songbookWindow:SetVisible( not songbookWindow:IsVisible() );
	elseif ( args ~= nil ) then
		songbookCommand:GetHelp();
	end
end

function songbookCommand:GetHelp()
	Turbine.Shell.WriteLine( Strings["sh_help1"] );
	Turbine.Shell.WriteLine( Strings["sh_help2"] );
	Turbine.Shell.WriteLine( Strings["sh_help3"] );
end

Turbine.Shell.AddCommand( "songbookbb", songbookCommand );
Turbine.Shell.WriteLine("SongbookBB v"..Plugins["SongbookBB"]:GetVersion().." (0.92 Chiran + 0.01a The Brandy Badgers)");
